Bug 165900 - Review Request: hunky-fonts
Review Request: hunky-fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sarantis Paskalis
David Lawrence
http://sourceforge.net/projects/hunky...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-13 16:33 EDT by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 11:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2005-08-13 16:33:49 EDT
Spec Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/hunkyfonts.spec
SRPM Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/hunkyfonts-0.3.0-1.src.rpm
sha1sum: http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/sha1sum
Description:
Free Unicode TrueType fonts for Baltic, Central European, South European
and other languages, including Azeri, Maori, Welsh and Esperanto.
Comment 1 Sarantis Paskalis 2005-08-14 05:45:18 EDT
Some preliminary observations (not a full review).

There is a policy in Fedora that the requirements assumptions are minimal as far
as the host system is concerned.  That is no xfs requirement and even no
fontconfig requirement.  Check the bitstream-vera-fonts spec in core and
dejavu-fonts and mgopen-fonts spec in extras.

An explanation of the policy I could find is in
http://www.redhat.com/archives/fedora-extras-list/2005-May/msg00887.html

So drop the requires and just check for the existence of fc-cache in %post and
%postun.  Also, you only need to %ghost the fonts.cache-1 file, since the spec
will not deal with xfs specifics.

Another thing is that the license of this package is LGPL, while it is derived
from bitstream-vera.  The bitstream vera fonts have a somewhat more complicated
license, distributable with restrictions.  I wonder if it is allowed to
distribute a derivative work of the bitstream fonts under LGPL.

I could not assign this bug to me for review, since only the "Leave as New"
option was present.
Comment 2 Michael Schwendt 2005-08-14 06:33:47 EDT
You would need to request "fedorabugs" group membership in the account
system. See http://fedoraproject.org/wiki/Extras/NewPackageProcessMarkTwo
"Who Does Stuff" section.
Comment 3 Dawid Gajownik 2005-08-14 07:11:02 EDT
(In reply to comment #1)

> Check the bitstream-vera-fonts spec in core and
> dejavu-fonts and mgopen-fonts spec in extras.

I based my spec file on bitstream-vera-fonts, urw-fonts and this informations:
http://fedora.redhat.com/docs/release-notes/fc4/errata/#sn-xwindows

> An explanation of the policy I could find is in
> http://www.redhat.com/archives/fedora-extras-list/2005-May/msg00887.html

Thanks for the link! I didn't know about it.

> So drop the requires and just check for the existence of fc-cache in %post and
> %postun.  Also, you only need to %ghost the fonts.cache-1 file, since the spec
> will not deal with xfs specifics.

Done.

> I wonder if it is allowed to distribute a derivative work of the bitstream
> fonts under LGPL.

I'm not a lawyer and I don't know the answer :/ May someone resolve this issue?

Updated files are in the same place (I haven't increased release number).

Thanks for the review :]
Comment 4 Sarantis Paskalis 2005-08-14 11:04:08 EDT
OK, the upstream license change for this package one major issue here.  

However, the most serious issue is that the Bitstream copyright is removed and
the font author claims full copyright for these fonts (both in the accomodating
README and inside the .ttf files).  From my reading of the Bitstream copyright
text, I am under the impression that the original copyright text must be
preserved, and that its removal is violating the original license.  In
upstream's website however, it is acknowledged that hunky fonts is a derivative
of bitstream vera fonts, so I think that it is a misunderstanding of copyright
issues here.

Therefore, I would suggest that upstream fixes the copyright and license before
proceeding.

(My only other cosmetical nit is the name of the package (which is of course
your choice only).  For consistency reasons I would suggest the package name to
be hunky-fonts  to match with the rest of the fonts in fedora-extras).

P.S.  Michael, thanks for reminding me of the procedure.
Comment 5 Dawid Gajownik 2005-08-15 08:12:05 EDT
(In reply to comment #4)
> OK, the upstream license change for this package one major issue here.  

Should I contact with author myself or RedHat lawyers can handle that? (you
know, normal user does not have such a big influence as a lawyer of a
corporation ;-) )

> For consistency reasons I would suggest the package name to
> be hunky-fonts  to match with the rest of the fonts in fedora-extras).

Well, I thought that it would be better to have the same name as used in other
distributions (for example Gentoo) and by the author of the original package. If
this is a rule in Fedora Extras, I will follow it :]

http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/hunky-fonts.spec
http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/hunky-fonts-0.3.0-1.src.rpm
http://80.55.221.90/~gajownik/linux/RPMS/hunkyfonts/sha1sum
Comment 6 Sarantis Paskalis 2005-08-15 12:30:00 EDT
> Should I contact with author myself or RedHat lawyers can handle that? (you
> know, normal user does not have such a big influence as a lawyer of a
> corporation ;-) )

Well, I am not sure about that...  Fedora is "only" sponsored by Red Hat, so it
is up to us the individual contributors to make the necessary judgements and
maintain contact with the authors.  We could ask Red Hat legal if the license
change to LGPL is allowed, but as I stated before, the most important thing is
the removal of the copyright notice.  You could try making a contact to check
the climate...

> Well, I thought that it would be better to have the same name as used in other
> distributions (for example Gentoo) and by the author of the original package.
> If this is a rule in Fedora Extras, I will follow it :]

No, this is not a rule, as far as I can tell.  It was a suggestion by me to keep
the package names consistent.  For example Debian uses ttf-fontname for the
package names.  Fedora so far uses fontname-fonts.  However, this is a very
minor issue, which could go either way.  Since it is not a policy it is up to
you to decide the package name.

This package is now blocked due to legal reasons (removal of Bitstream copyright
text and change of license to LGPL).  I think that waiting for a little bit is
the best thing to do here, to see if there is any feedback from the author of
the font.  All other (technical) issues are fixed.

Comment 7 Ariszló 2005-08-18 15:59:48 EDT
I didn't read §5 of the Copyright FAQ when I changed the license, which was a
mistake.  All I read was the license itself which only says that one has to
rename the fonts if they change them.  I will repackage the fonts with
Bitstream's copyright in the next couple of days.  Sorry for the inconvenience.
Comment 8 Sarantis Paskalis 2005-08-19 04:45:05 EDT
Hi, I am glad we can work it out.  Since you are working on repackaging your
fonts, please consider the following things:

Using *GPL as a license for fonts is somewhat murky, since it applies to code
and not content (such as fonts or a picture).  I don't know how LGPL can be
dealt with, but with the GPL one should issue an exception to make the documents
produced with this font _not_ fall under the GPL (see
http://www.fsf.org/licensing/licenses/gpl-faq.html#FontException). 
Nevertheless, if you insist on releasing the fonts under LGPL, we have to ask
legal, if it is permitted (to change the license), and what consequences it
might have.

I would think that there would be no License needed, and the copyright text of
the original Bitstream fonts extended to cover your additions and changes to the
fonts.  For example the Dejavu folks have released their additional changes to
the public domain (http://dejavu.sourceforge.net/wiki/index.php/License). 
Another course of action would be to maintain the same copyright text as
Bitstream, but with you as the copyright holder.  These are simple enough
copyright additions, that I can understand and approve.

Sorry to bother you with legalese, but it is essential to keep our bases
covered.  Thanks for your cooperation.
Comment 9 Nicolas Mailhot 2005-09-01 16:44:48 EDT
(In reply to comment #7)
> I didn't read §5 of the Copyright FAQ when I changed the license, which was a
> mistake.

BTW, is there a good reason why this project is separate from dejavu ?
The dejavu team has been handling his Vera fork in a wonderful way (they're
responsive to RFC's, merge back other forks, communicate on the gnome font list,
do frequent releases...). I don't think users will appreciate it if we start
dumping on them all the Vera derivatives that exist in the wild. Moreover, if
Bitstream continues to do nothing with Vera, I suspect Dejavu will replace it
soonish in FC
Comment 10 Ariszló 2005-09-07 10:10:55 EDT
I have checked the DejaVu fonts and I am most satisfied them so I don't think
there is any reason to continue working on Hunky Fonts.  Nevertheless, I must
fix the license and upload hunkyfonts-0.3.1 before announcing that this project
will be withdrawn for the sake of DejaVu.

Would this README be legally all right?

#README begins here.
Hunky Fonts 0.3.1

Hunky Fonts are free fonts for Baltic, Central Europan, South European and
other languages, including Azeri, Maori, Welsh and Esperanto.

Copyright (c) 2004-2005 Ariszlo
ariszlo gmail com
http://ariszlo.tripod.com

Hunky Fonts are derived from Bitstream Vera Fonts and inherit their
copyright.  Hunky Fonts additions are public domain.
#README ends here.

The LICENSE file will be much the same as DejaVu's LICENSE file except that it
will begin like this:

Hunky Fonts are derived from Bitstream Vera Fonts and inherit their
copyright.  Hunky Fonts additions are public domain.
Comment 11 Ariszló 2005-09-08 09:29:28 EDT
hunkyfonts-0.3.1 with the new license is available at
http://sourceforge.net/project/showfiles.php?group_id=121650
Comment 12 Sarantis Paskalis 2005-09-09 06:22:33 EDT
The changes fix the blocking license issue, since the fonts are relicensed under
the same license as DejaVu.

Thanks.

Comment 13 Nicolas Mailhot 2005-09-12 04:41:36 EDT
(In reply to comment #10)
> I have checked the DejaVu fonts and I am most satisfied them so I don't think
> there is any reason to continue working on Hunky Fonts.

BTW, please do not take my comment as "your work is bad, stop working on fonts".
Anyone working on free fonts is deeply appreciated. What I meant it'd be better
for everyone if you joined the dejavu team and added missing glyphs there (or
improved existing glyphs) rather than create multiple competing free font
projects. I'm sure as an experienced font author you'll find things to improve
in dejavu.

Of course if you disagree with some dejavu decisions creating your own font
project is OK.
Comment 14 Sarantis Paskalis 2005-10-07 15:21:42 EDT
Any news about whether hunkyfonts will become a package or get merged to dejavu?
Comment 15 Dawid Gajownik 2005-10-07 16:13:47 EDT
Ooops. Sorry for the delay. I was a bit busy lately - I had to take my exams at
the University. After that I started helping with packaging new modular X.org
X11 release and I forgot about everything else ;-)

Here's updated package:
http://wiki.fedora.pl/extras/hunky-fonts.spec
http://wiki.fedora.pl/extras/hunky-fonts-0.3.1-1.src.rpm

Quite frankly, it would be better to merge Hunky fonts with DejaVu ones...
Comment 16 Sarantis Paskalis 2005-10-08 10:16:42 EDT
Please change the License tag to Distributable (same copyright as DejaVu) and
the Source tag to http://download.sourceforge.net/.... for direct downloading.

Regarding the FE procedure, and with the above changes in place, the package is
approved.  (If you wish to maintain it despite the EOL upstream, that is).
Comment 17 Dawid Gajownik 2005-11-02 11:52:33 EST
Thanks for the review! Packages are now in FC-4 and devel branch.
Comment 18 Christian Iseli 2006-10-18 05:22:28 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.